package com.ozs.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ozs.common.annotation.DataScope;
import com.ozs.common.core.domain.BaseEntity;
import lombok.Data;
import nonapi.io.github.classgraph.json.Id;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.Size;
import java.util.ArrayList;
import java.util.List;

/**
 * 部门下机关指导处表 sys_dept_organ
 *
 * @author ruoyi
 */
@Data
@TableName(value = "sys_dept_organ")
public class SysDeptOrgan extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 部门ID */
    /**
     * 主键编号
     */
    @Id
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 关联部门ID
     */
    @TableField("dept_id")
    private Long deptId;

    /**
     * 机关指导处名称
     */
    @TableField("organ_name")
    private String organName;

}
