package com.ozs.system.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.system.domain.SysDeptOrgan;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 部门的机关指导处
 *
 * @author bu
 */
@Mapper
public interface SysDeptOrganMapper extends BaseMapper<SysDeptOrgan> {

    /**
     * 校验机关指导处名称是否唯一
     *
     * @param organName 机关指导处名称
     * @return 结果
     */
    public SysDeptOrgan checkDeptOrganNameOnlyOne(@Param("organName") String organName);
}
