package com.ozs.system.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ozs.system.domain.SysRegion;
import com.ozs.system.domain.vo.SysRegionVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface SysRegionMapper extends BaseMapper<SysRegion> {
    List<SysRegionVO> findChildDivisions(@Param("pcode") String pcode);


    SysRegionVO selectInfoByCode(@Param("code") String code);

    List<SysRegionVO> selectInfoByName(@Param("name") String name);
}
