package com.ozs.system.service;


import com.ozs.common.core.domain.AjaxResult;
import com.ozs.system.domain.SysDeptOrgan;

import java.util.List;

/**
 * 部门的机关指导处 服务层
 *
 * @author buzy
 */
public interface SysDeptOrganService {

    /**
     * 获取机关指导处列表
     *
     * @return
     */
    List<SysDeptOrgan> selectList(SysDeptOrgan deptOrgan);

    AjaxResult selectListMap();

    /**
     * @return
     */
    AjaxResult insertDeptOrgan(List<SysDeptOrgan> deptOrganList, Long userId);

    /**
     * 删除机关指导处
     *
     * @param deptOrgan
     * @return
     */
    AjaxResult deleteById(SysDeptOrgan deptOrgan);
}
