package com.ozs.system.domain.vo;


import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 行政区划表(GtAdministrativeDivision)å®ä½ç±»
 *
 * @author makejava
 * @since 2022-05-27 10:06:42
 */

@Data
@TableName("sys_region")
@ApiModel(value = "行政区划表", description = "")
public class SysRegionVO implements Serializable {
    private static final long serialVersionUID = -98482270296164594L;

    private Long id;


    @ApiModelProperty("行政区划")
    private String administrativeDivision;


    @ApiModelProperty("code(行政区划编码)")
    private String code;


    @ApiModelProperty("pid")
    private Long pid;


    @ApiModelProperty("等级(0中国,1省/直辖市,2地级市,3区县)")
    private Integer level;

    @ApiModelProperty(dataType = "List",name = "children",value = "子菜单集合")
    private List<SysRegionVO> children = new ArrayList<>();
}
